Subject: Re: [PATCH net] nfc: pn533: properly drop the usb interface reference on disconnect

From: Simon Horman <[email-masked]>
Date: Wed, 25 Feb 2026 18:57:55 +0000

On Wed, Feb 25, 2026 at 06:31:12AM -0800, Greg Kroah-Hartman wrote:
> On Tue, Feb 24, 2026 at 09:17:00AM +0000, Simon Horman wrote:
> > On Mon, Feb 23, 2026 at 12:28:30PM +0100, Greg Kroah-Hartman wrote:
> > > When the device is disconnected from the driver, there is a "dangling"
> > > reference count on the usb interface that was grabbed in the probe
> > > callback.  Fix this up by properly dropping the reference after we are
> > > done with it.
> > > 
> > > Cc: stable <[email-masked]>
> > > Assisted-by: gkh_clanker_2000
> > > Signed-off-by: Greg Kroah-Hartman <[email-masked]>
> > 
> > Hi Greg,
> > 
> > As a fix, a Fixes tag seems appropriate.
> > This seems to have been there since the beginning, so perhaps this one:
> > 
> > Fixes: c46ee38620a2 ("NFC: pn533: add NXP pn533 nfc device driver")
> 
> Fair enough, I don't normally add Fixes: tags for my stuff as it's me
> doing the backports to stable kernels once they hit Linus's tree :)

Understood. For review of Networking patches it is something we look out
for, which is the main reason I flagged it. But I take your point about
you being the consumer of those tags.

> 
> > That notwithstanding, this looks good to me.
> > 
> > Reviewed-by: Simon Horman <[email-masked]>
> 
> thanks for the review!
> 
> greg k-h
>